
From: NeilBrown <neilb@cse.unsw.edu.au>

I would have assumed that we should also check for the same security
(pseudo)flavor, but that doesn't seem to be how Solaris does it, and since
the spec doesn't suggest including such information in the clientid, that
would make it impossible to switch pseudoflavors.


---

 fs/nfsd/nfs4state.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN fs/nfsd/nfs4state.c~knfsd-setclientid-fix fs/nfsd/nfs4state.c
--- 25/fs/nfsd/nfs4state.c~knfsd-setclientid-fix	2004-02-25 02:32:11.000000000 -0800
+++ 25-akpm/fs/nfsd/nfs4state.c	2004-02-25 02:32:11.000000000 -0800
@@ -270,8 +270,7 @@ cmp_clid(clientid_t * cl1, clientid_t * 
 /* XXX what about NGROUP */
 static int
 cmp_creds(struct svc_cred *cr1, struct svc_cred *cr2){
-	return((cr1->cr_uid == cr2->cr_uid) &&
-	   	(cr1->cr_gid == cr2->cr_gid));
+	return(cr1->cr_uid == cr2->cr_uid);
 
 }
 

_
